package com.tofly.qualitycontrol.qcenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息类型
 *
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum QualityControlMessageTypeEnum {
	MESSAGE_TYPE_ORDINARY_MESSAGE("0","普通消息"),
	MESSAGE_TYPE_QUALITY_ORDER("10","质检工单"),
	MESSAGE_TYPE_REPORT("0001","上报"),
	MESSAGE_TYPE_AUDIT("0002","审核"),
	MESSAGE_TYPE_REJECTED("0003","驳回"),
	MESSAGE_TYPE_OVERDUE("0004","超时");
	/**
	 * 编码
	 */
	private String code;
	/**
	 * 内容
	 */
	private String value;
}
